Subject: Ticket Assigned - Refund
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 22 May 2022 04:04:23 +0000

Hi Amira Alanaz,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund I want my to cancel my order as I have not received my order.The order was
placed on 28th April and till now I have not received it. I went to the
store several times but they told me that they have received only 1 item
and other 7 items they have not received yet. It's being very long  I have
waited. Pls refund my money by today itself.

Order no  6140987262

Complaint no :4302025

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4365783